package org.osgeo.mapguide;


/**
 * {@link MgCoordinateDimension} defines a set of integer constants
 * which can be OR'd together to specify the dimensionality of
 * an {@link MgCoordinate} instance.
 *
 */
public class MgCoordinateDimension
{
   
/**
 * Specifies that the coordinate has X and Y ordinates.
 *
 */

   public static final int XY = 0 ; 
   
/**
 * Specifies that the coordinate has X, Y, and Z ordinates.
 *
 */

   public static final int XYZ = 1 ; 
   
/**
 * Specifies that the coordinate has an M ordinate.
 *
 */

   public static final int M = 2 ; 
   
}

